POST /actions/tasks/batch-comment

Creates new comments for given tasks. Each comment requires a task_id, text, a task_status and a person as arguments. Can include preview files and attachments.

multipart/form-data

Body Required

  • comments string Required

    JSON string containing array of comments

Responses

  • 201 application/json

    New comments created

POST /actions/tasks/batch-comment
curl -X POST "http://api.example.com/actions/tasks/batch-comment" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/actions/tasks/batch-comment"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request POST 'http://api.example.com/actions/tasks/batch-comment' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: multipart/form-data" \
 --form "comments=[{"task_id": "uuid", "text": "Good work", "task_status_id": "uuid"}]"
Response examples (201)
[
  {}
]